WU-FTPd Compile on v2.0.7

WU-FTPd Compile on v2.0.7

Post by Jay Thorn » Sun, 04 Aug 1996 04:00:00



My thanks to all who helped and
especially Ashok Aiyar who send me a patch
to fix glob.c
wu-ftp.2.4/src/glob.c

 * > Line241->>   if (fstat(dirp->dd_fd, &stb) < 0)
 *
 * should be ...  
 *                if (fstat(dirfd(dirp), &stb) < 0)

--
Jay Thorne                http://net.result.com/
President, The Net Result Systems * Services  Telephone:(604) 220 2504
WWW & Internet Systems Consultant.

 
 
 

WU-FTPd Compile on v2.0.7

Post by G-ma » Mon, 05 Aug 1996 04:00:00


: My thanks to all who helped and
: especially Ashok Aiyar who send me a patch
: to fix glob.c
: wu-ftp.2.4/src/glob.c

:  * > Line241->>   if (fstat(dirp->dd_fd, &stb) < 0)
:  *
:  * should be ...  
:  *                if (fstat(dirfd(dirp), &stb) < 0)
-DDIRENT_ILLEGAL_ACCESS in the CFLAGS would of done just fine too...
or
#define HAVE_ILLGEAL_DIRENT # line #49 of glob.c

But teh first won seems to works with all the wu_ftpd.. to teh newsest BETA11
--

http://www.infinex.com/~gman                   Keeper of       Bay Area
                                                B.A.S.P:        Shell
Linux => OS for the Computer-Literate!                               Providers List
(=E G-man, G-DoG, Archy, LoOoD, Gary B. from E.C and FoG CiTY

 
 
 

WU-FTPd Compile on v2.0.7

Post by Raymond Abbi » Tue, 06 Aug 1996 04:00:00




>: My thanks to all who helped and
>: especially Ashok Aiyar who send me a patch
>: to fix glob.c

>But teh first won seems to works with all the wu_ftpd.. to teh newsest BETA11
>--

Actually no patch should be necessary with BETA10 and
above. I had exactly the same problem when trying to
compile wu-ftpd on my system (kernel 2.0.0) and finally
came across a message (using dejanews to search) suggesting
that BETA10 was needed for linux 2.0 systems--when I went
looking for 10 found 11. Works just fine.

-ray

 
 
 

1. wu-ftpd v2.4 compilation anyone?

I have tried to get wu-ftpd to compile under Linux Slackware 1.2.0.3 (kernel
1.1.11), and have severla problems. One is that the Makefile under the
support directory will not work for some reason (it quits out because of an
error on the "all: $(OBJS)" or following line. Also I am getting some other
problems.

The error on the "all ....." line can be bypassed by remarking out the lines
following the all line (ie removal of old and creation of new archive library
file).

I use the command "build lnx" to build using the linux makefiles, and have
modified the config.h file (or whatever) to point to the correct paths. I
have not yet tried the Linux 1.0 kernel, but will do soon.

I am stuck on this, as I believe others have said that they have got it to
compile ok under Linux!

Any ideas?

Cheers

Ivan
--

PGP key available

2. getty dialin respawning

3. wu-ftpd v2.1 problems -- SIGSEGV (!)

4. AMD am640 chipset

5. Problem compiling wu-ftpd (2.4) on Redhat 3.0.3 (1.2.13 Kernel)

6. Compatibility??

7. wu-ftpd instead of ftpd

8. Want To Start Reading Linux Kernel Source

9. Compiling wu-ftpd

10. wu-ftpd, Solaris 2.6, compile trouble

11. in.ftpd zombie problem with wu-ftpd on RH6

12. FreeBSD ftpd 6.0 vs wu-ftpd 2.4